Skip to main content
GET
List token groups

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

name
string

Only groups with exactly this name

Minimum string length: 1
external_id
string

Only groups with exactly this external_id

Required string length: 1 - 255
emsp_identity_id
string<uuid>

Only groups explicitly assigned to this EMSP identity. Groups on the tenant's default identity have a null emsp_identity_id and are not matched

after
string

Opaque pagination cursor: the pagination.end_cursor of a previous response

limit
integer
default:50

Results per page

Required range: 1 <= x <= 200
sort_by
enum<string>

Property to sort by: created_at sorts on audit.created_at, last_updated on audit.updated_at, name on the group name, and token_count on the number of member tokens

Available options:
created_at,
last_updated,
name,
token_count
sort_direction
enum<string>
default:asc
Available options:
asc,
desc

Response

One page of token groups

data
object[]
required
pagination
object
required